Bug 69493 - Red Hat "Limbo" installer crashes with message "UnboundLocalError: local variable 'rebuildpath' referenced before assignment"
Red Hat "Limbo" installer crashes with message "UnboundLocalError: local vari...
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-07-22 16:15 EDT by Timothy Dyck
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-03-18 10:01:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda "Limbo" installer crash dump (75.65 KB, text/plain)
2002-07-22 16:16 EDT, Timothy Dyck
no flags Details

  None (edit)
Description Timothy Dyck 2002-07-22 16:15:22 EDT
Description of Problem:
When installing Red Hat Limbo, the installer crashes after package selections
have been made. The error message is "UnboundLocalError: local variable
'rebuildpath' referenced before assignment" (crash dump attached).

The system being upgrade is running Red Hat Linux 7.2.

Version-Release number of selected component (if applicable):
Red Hat Limbo.

How Reproducible:
Always (I tried both the default package selection and a custom package
selection -- all upgrades fail. A clean install (not an upgrade) on another
system does not produce this error.

Steps to Reproduce:
1. Upgrade Red Hat 7.2 install; leave disk partitions as is.
2. Select default set of packages and click to Upgrade
3. Installer reports that packages are being selected, then crashes.

Actual Results:
Installer crash.

Expected Results:
Upgrade process begins to copy files off the CD-ROM.

Additional Information:
Comment 1 Timothy Dyck 2002-07-22 16:16:06 EDT
Created attachment 66384 [details]
Anaconda "Limbo" installer crash dump
Comment 2 Jeremy Katz 2002-07-22 19:12:58 EDT
Already fixed in CVS

Note You need to log in before you can comment on or make changes to this bug.